# -*- encoding : utf-8 -*-

class Admin::PProductCatsController < ApplicationController
  layout "admin"
  before_action :auth_admin
  
  before_action :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  


  def index
    @p_product_cats = PProductCat.order(:code).all

   
  end

  def show
    @p_product_cat = PProductCat.find(params[:id])

  end

  def new
    
    
		@p_product_cat = PProductCat.new
    

  end

 

  def edit
  
    
    @p_product_cat = PProductCat.find(params[:id])
  end

  def create
    @p_product_cat = PProductCat.new(params.require(:p_product_cat).permit!)


    if @p_product_cat.save
     @p_product_cats = PProductCat.order(:name).all
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_product_cat = PProductCat.find(params[:id])


    if @p_product_cat.update_attributes(params.require(:p_product_cat).permit!)
      
       @p_product_cats = PProductCat.order(:name).all
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_product_cat = PProductCat.find(params[:id])
    @p_product_cat.destroy
    
    
  end
end
